> ## Documentation Index
> Fetch the complete documentation index at: https://docs.middlewr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job

> Follow a bulk import or export job



## OpenAPI

````yaml openapi.json GET /api/workspaces/{workspace_id}/jobs/{job_id}
openapi: 3.1.1
info:
  title: Middlewr API
  description: Short link management platform API
  version: 1.0.0
  contact:
    name: Middlewr
    email: hello@middlewr.com
    url: https://middlewr.com/contact
servers:
  - url: https://api.middlewr.com
security:
  - ApiKeyAuth: []
paths:
  /api/workspaces/{workspace_id}/jobs/{job_id}:
    get:
      tags:
        - Links
      operationId: links.getJob
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  workspace_id:
                    type: string
                    format: uuid
                  type:
                    type: string
                  status:
                    enum:
                      - pending
                      - processing
                      - completed
                      - failed
                    type: string
                  total_rows:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  succeeded_count:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  failed_count:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  error:
                    anyOf:
                      - type: string
                      - type: 'null'
                  created_by_id:
                    type: string
                    format: uuid
                  created_at:
                    type: string
                    format: date-time
                    x-native-type: date
                  completed_at:
                    anyOf:
                      - type: string
                        format: date-time
                        x-native-type: date
                      - type: 'null'
                required:
                  - id
                  - workspace_id
                  - type
                  - status
                  - total_rows
                  - succeeded_count
                  - failed_count
                  - error
                  - created_by_id
                  - created_at
                  - completed_at
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: A user or workspace API key, created in the dashboard settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.